Reseller 5 endpoints

POST /reseller/children/{childIdentifier}/domains
operationId: Reseller_createChildDomain

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Request Body

required

Sender domain to add for a specific child account. This will not be displayed to the parent account.

application/json
schema addChildDomain
Property Type Required
domain string optional

Responses

201

Domain added

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

POST /reseller/children/{childIdentifier}/domains
DELETE /reseller/children/{childIdentifier}/domains/{domainName}
operationId: Reseller_deleteSenderDomainByChildIdentifierAndDomainName

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

domainName path required string

Pass the existing domain that needs to be deleted

Responses

204

child domain deleted

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

DELETE /reseller/children/{childIdentifier}/domains/{domainName}
PUT /reseller/children/{childIdentifier}/domains/{domainName}
operationId: Reseller_updateSenderDomain

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

domainName path required string

Pass the existing domain that needs to be updated

Request Body

required

value to update for sender domain

application/json
schema updateChildDomain
Property Type Required
domain string optional

Responses

204

reseller’s child domain updated

400

bad request

403

Current account is not a reseller

404

Child auth key or child id not found

PUT /reseller/children/{childIdentifier}/domains/{domainName}
POST /reseller/children/{childIdentifier}/ips/associate
operationId: Reseller_associateDedicatedIpToChild

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Request Body

required

IP to associate

application/json
schema manageIp
Property Type Required
ip string optional

Responses

204

Dedicated IP is associated to the child

400

bad request

404

Child auth key or child id not found

POST /reseller/children/{childIdentifier}/ips/associate
POST /reseller/children/{childIdentifier}/ips/dissociate
operationId: Reseller_dissociateIpToChild

Parameters

Name In Required Type Description
childIdentifier path required string

Either auth key or id of reseller’s child

Request Body

required

IP to dissociate

application/json
schema manageIp
Property Type Required
ip string optional

Responses

204

Dedicated IP is dissociated from the child

400

bad request

404

Child auth key or child id not found

POST /reseller/children/{childIdentifier}/ips/dissociate

Smscampaigns 10 endpoints

GET /smsCampaigns
operationId: SmsCampaigns_getAllInformation

Parameters

Name In Required Type Description
status query optional string

Status of campaign.

startDate query optional string

Mandatory if endDate is used. Starting (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the sent sms campaigns. Prefer to pass your timezone in date-time format for accurate result ( only available if either ‘status’ not passed and if passed is set to ‘sent’ )

endDate query optional string

Mandatory if startDate is used. Ending (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the sent sms campaigns. Prefer to pass your timezone in date-time format for accurate result ( only available if either ‘status’ not passed and if passed is set to ‘sent’ )

limit query optional integer

Number limitation for the result returned

offset query optional integer

Beginning point in the list to retrieve from.

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Responses

200

SMS campaigns informations

400

bad request

GET /smsCampaigns
POST /smsCampaigns
operationId: SmsCampaigns_createCampaign

Request Body

required

Values to create an SMS Campaign

application/json
schema createSmsCampaign
Property Type Required
name string required
sender string required
content string required
recipients object optional
listIds array required
exclusionListIds array optional
scheduledAt string optional
unicodeEnabled boolean optional
organisationPrefix string optional
unsubscribeInstruction string optional

Responses

201
400

bad request

POST /smsCampaigns
DELETE /smsCampaigns/{campaignId}
operationId: SmsCampaigns_removeCampaignById

Parameters

Name In Required Type Description
campaignId path required integer

id of the SMS campaign

Responses

204

SMS campaign has been deleted

400

bad request

404

Campaign ID not found

DELETE /smsCampaigns/{campaignId}
GET /smsCampaigns/{campaignId}
operationId: SmsCampaigns_getCampaignById

Parameters

Name In Required Type Description
campaignId path required integer

id of the SMS campaign

Responses

200

SMS campaign informations

400

bad request

404

Campaign ID not found

GET /smsCampaigns/{campaignId}
PUT /smsCampaigns/{campaignId}
operationId: SmsCampaigns_updateCampaignById

Parameters

Name In Required Type Description
campaignId path required integer

id of the SMS campaign

Request Body

required

Values to update an SMS Campaign

application/json
schema updateSmsCampaign
Property Type Required
name string optional
sender string optional
content string optional
recipients object optional
listIds array required
exclusionListIds array optional
scheduledAt string optional
unicodeEnabled boolean optional
organisationPrefix string optional
unsubscribeInstruction string optional

Responses

204

SMS campaign updated

400

bad request

404

Campaign ID not found

PUT /smsCampaigns/{campaignId}
POST /smsCampaigns/{campaignId}/exportRecipients

It returns the background process ID which on completion calls the notify URL that you have set in the input.

operationId: SmsCampaigns_exportRecipientsProcess

Parameters

Name In Required Type Description
campaignId path required integer

id of the campaign

Request Body

Values to send for a recipient export request

application/json
schema requestSmsRecipientExport
Property Type Required
notifyURL string optional
recipientsType string required

Responses

202
400

bad request

404

Campaign ID not found

POST /smsCampaigns/{campaignId}/exportRecipients
POST /smsCampaigns/{campaignId}/sendNow
operationId: SmsCampaigns_sendImmediately

Parameters

Name In Required Type Description
campaignId path required integer

id of the campaign

Responses

204

SMS campaign has been scheduled

400

SMS Campaign could not be sent

402

You don’t have enough credit to send your campaign. Please update your plan

404

Campaign ID not found

POST /smsCampaigns/{campaignId}/sendNow
POST /smsCampaigns/{campaignId}/sendReport

Send report of Sent and Archived campaign, to the specified email addresses, with respective data and a pdf attachment in detail.

operationId: SmsCampaigns_sendCampaignReport

Parameters

Name In Required Type Description
campaignId path required integer

id of the campaign

Request Body

required

Values for send a report

application/json
schema sendReport
Property Type Required
email object required
to array required
body string required
language string optional

Responses

204

Report has been successfully sent to the defined recipients

400

bad request

404

Campaign ID not found

POST /smsCampaigns/{campaignId}/sendReport
POST /smsCampaigns/{campaignId}/sendTest
operationId: SmsCampaigns_sendTestSms

Parameters

Name In Required Type Description
campaignId path required integer

Id of the SMS campaign

Request Body

required

Mobile number of the recipient with the country code. This number must belong to one of your contacts in Brevo account and must not be blacklisted

application/json
schema sendTestSms
Property Type Required
phoneNumber string optional

Responses

204

Test SMS has been sent successfully to the recipient

400

Test SMS could not be sent to the following email addresses

404

Campaign ID not found

POST /smsCampaigns/{campaignId}/sendTest
PUT /smsCampaigns/{campaignId}/status
operationId: SmsCampaigns_updateStatus

Parameters

Name In Required Type Description
campaignId path required integer

id of the campaign

Request Body

required

Status of the campaign.

application/json
schema updateCampaignStatus
Property Type Required
status string optional

Responses

204

The campaign status has been updated successfully

400

bad request

404

Campaign ID not found

PUT /smsCampaigns/{campaignId}/status

Senders 7 endpoints

GET /senders
operationId: Senders_listAll

Parameters

Name In Required Type Description
ip query optional string

Filter your senders for a specific ip. Available for dedicated IP usage only

domain query optional string

Filter your senders for a specific domain

Responses

200

list of senders

400

bad request

GET /senders
POST /senders
operationId: Senders_createNewSender

Request Body

sender’s name

application/json
schema createSender
Property Type Required
ips array optional
ip string required
domain string required
weight integer optional
name string required
email string required

Responses

201

sender created

400

bad request

POST /senders
GET /senders/ips
operationId: Senders_getDedicatedIps

Responses

200

list of dedicated IPs

GET /senders/ips
DELETE /senders/{senderId}
operationId: Senders_removeSender

Parameters

Name In Required Type Description
senderId path required integer

Id of the sender

Responses

204

sender deleted

400

bad request

404

Sender ID not found

DELETE /senders/{senderId}
PUT /senders/{senderId}
operationId: Senders_updateSenderById

Parameters

Name In Required Type Description
senderId path required integer

Id of the sender

Request Body

sender’s name

application/json
schema updateSender
Property Type Required
ips array optional
ip string required
domain string required
weight integer optional
name string optional
email string optional

Responses

204

sender updated

400

bad request

404

Sender ID not found

PUT /senders/{senderId}
GET /senders/{senderId}/ips
operationId: Senders_getAllDedicatedIps

Parameters

Name In Required Type Description
senderId path required integer

Id of the sender

Responses

200

list of dedicated IPs

400

bad request

404

Sender ID not found

GET /senders/{senderId}/ips
PUT /senders/{senderId}/validate
operationId: Senders_validateSenderUsingOtp

Parameters

Name In Required Type Description
senderId path required integer

Id of the sender

Request Body

otp

application/json
schema otp
Property Type Required
otp integer required

Responses

204

Sender verified

400

bad request

404

Sender ID not found

PUT /senders/{senderId}/validate

Tasks 6 endpoints

GET /crm/tasks
operationId: Tasks_getAll

Parameters

Name In Required Type Description
filter[type] query optional string

Filter by task type (ID)

filter[status] query optional string

Filter by task status

filter[date] query optional string

Filter by date

filter[assignTo] query optional string

Filter by the “assignTo” ID. You can utilize account emails for the “assignTo” attribute.

filter[contacts] query optional string

Filter by contact ids

filter[deals] query optional string

Filter by deals ids

filter[companies] query optional string

Filter by companies ids

dateFrom query optional integer

dateFrom to date range filter type (timestamp in milliseconds)

dateTo query optional integer

dateTo to date range filter type (timestamp in milliseconds)

offset query optional integer

Index of the first document of the page

limit query optional integer

Number of documents per page

sort query optional string

Sort the results in the ascending/descending order. Default order is descending by creation if sort is not passed

sortBy query optional string

The field used to sort field names.

Responses

200

Returns task list with filters

400

Returned when query params are invalid

GET /crm/tasks
POST /crm/tasks
operationId: Tasks_createNewTask

Request Body

required

Task name.

application/json
schema TasksCreateNewTaskRequest
Property Type Required
date string required
done boolean optional
name string required
notes string optional
dealsIds array optional
duration integer optional
reminder object optional
unit string required
types array required
value integer required
assignToId string optional
taskTypeId string required
contactsIds array optional
companiesIds array optional

Responses

201

Created new task

400

Returned when invalid data posted

POST /crm/tasks
DELETE /crm/tasks/{id}
operationId: Tasks_removeTask

Parameters

Name In Required Type Description
id path required string

Responses

204

Returned when item deleted

400

Returned when invalid data posted

404

Returned when task id is not found

DELETE /crm/tasks/{id}
GET /crm/tasks/{id}
operationId: Tasks_getTaskById

Parameters

Name In Required Type Description
id path required string

Responses

200

Returns the Task by id

400

Returned when task id is invalid

404

Returned when item not found

GET /crm/tasks/{id}
PATCH /crm/tasks/{id}
operationId: Tasks_updateTask

Parameters

Name In Required Type Description
id path required string

Request Body

required

Updated task details.

application/json
schema TasksUpdateTaskRequest
Property Type Required
date string optional
done boolean optional
name string optional
notes string optional
dealsIds array optional
duration integer optional
reminder object optional
unit string required
types array required
value integer required
assignToId string optional
taskTypeId string optional
contactsIds array optional
companiesIds array optional

Responses

204

Task updated succussfully

400

Returned when invalid data posted

404

Returned when task id is not found

PATCH /crm/tasks/{id}
GET /crm/tasktypes
operationId: Tasks_getAllTaskTypes

Responses

200

Returns all the Task types

GET /crm/tasktypes

Transactionalemails 21 endpoints

GET /smtp/blockedContacts
operationId: TransactionalEmails_listBlockedContacts

Parameters

Name In Required Type Description
startDate query optional string

Mandatory if endDate is used. Starting date (YYYY-MM-DD) from which you want to fetch the blocked or unsubscribed contacts

endDate query optional string

Mandatory if startDate is used. Ending date (YYYY-MM-DD) till which you want to fetch the blocked or unsubscribed contacts

limit query optional integer

Number of documents returned per page

offset query optional integer

Index of the first document on the page

senders query optional array

Comma separated list of emails of the senders from which contacts are blocked or unsubscribed

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Responses

200

List of blocked or unsubscribed transactional contacts

400

bad request

GET /smtp/blockedContacts
DELETE /smtp/blockedContacts/{email}
operationId: TransactionalEmails_unblockContact

Parameters

Name In Required Type Description
email path required string

contact email (urlencoded) to unblock.

Responses

204

Contact unblocked

400

bad request

404

Contact email not found

DELETE /smtp/blockedContacts/{email}
GET /smtp/blockedDomains

Get the list of blocked domains

operationId: TransactionalEmails_getBlockedDomains

Responses

200

List of blocked domains

GET /smtp/blockedDomains
POST /smtp/blockedDomains

Blocks a new domain in order to avoid messages being sent to the same

operationId: TransactionalEmails_addBlockedDomain

Request Body

required

Name of the domain to be blocked

application/json
schema blockDomain
Property Type Required
domain string required

Responses

201

Domain is successfully blocked

400

bad request

POST /smtp/blockedDomains
DELETE /smtp/blockedDomains/{domain}

Unblocks an existing domain from the list of blocked domains

operationId: TransactionalEmails_unblockDomain

Parameters

Name In Required Type Description
domain path required string

The name of the domain to be deleted

Responses

204

Domain is successfully deleted from the list of blocked domains

400

bad request

404

Domain not found

DELETE /smtp/blockedDomains/{domain}
POST /smtp/deleteHardbounces

Delete hardbounces. To use carefully (e.g. in case of temporary ISP failures)

operationId: TransactionalEmails_removeHardbounces

Request Body

values to delete hardbounces

application/json
schema deleteHardbounces
Property Type Required
endDate string optional
startDate string optional
contactEmail string optional

Responses

204

Hardbounces deleted

400

bad request

POST /smtp/deleteHardbounces
POST /smtp/email
operationId: TransactionalEmails_sendTransactionalEmail

Request Body

required

Values to send a transactional email

application/json
schema sendSmtpEmail
Property Type Required
cc array optional
name string optional
email string required
to array optional
name string optional
email string required
bcc array optional
name string optional
email string required
tags array optional
params object optional
sender object optional
id integer optional
name string optional
email string optional
batchId string optional
headers object optional
replyTo object optional
name string optional
email string required
subject string optional
attachment array optional
url string optional
name string optional
content string optional
templateId integer optional
htmlContent string optional
scheduledAt string optional
textContent string optional
messageVersions array optional
cc array optional
name string optional
email string required
to array required
name string optional
email string required
bcc array optional
name string optional
email string required
params object optional
replyTo object optional
name string optional
email string required
subject string optional
htmlContent string optional
textContent string optional

Responses

201

transactional email sent

202

transactional email scheduled

400

bad request

POST /smtp/email
DELETE /smtp/email/{identifier}

Delete scheduled batch of emails by batchId or single scheduled email by messageId

operationId: TransactionalEmails_deleteScheduledEmails

Parameters

Name In Required Type Description
identifier path required string

The batchId of scheduled emails batch (Should be a valid UUIDv4) or the messageId of scheduled email.

Responses

204

Scheduled email(s) deleted

400

Invalid parameters passed

404

Record(s) for identifier not found

DELETE /smtp/email/{identifier}
GET /smtp/emailStatus/{identifier}

Fetch scheduled batch of emails by batchId or single scheduled email by messageId (Can retrieve data upto 30 days old)

operationId: TransactionalEmails_getEmailStatusById

Parameters

Name In Required Type Description
identifier path required string

The batchId of scheduled emails batch (Should be a valid UUIDv4) or the messageId of scheduled email.

startDate query optional string

Mandatory if endDate is used. Starting date (YYYY-MM-DD) from which you want to fetch the list. Can be maximum 30 days older tha current date.

endDate query optional string

Mandatory if startDate is used. Ending date (YYYY-MM-DD) till which you want to fetch the list. Maximum time period that can be selected is one month.

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed. Not valid when identifier is messageId.

status query optional string

Filter the records by status of the scheduled email batch or message. Not valid when identifier is messageId.

limit query optional integer

Number of documents returned per page. Not valid when identifier is messageId.

offset query optional integer

Index of the first document on the page. Not valid when identifier is messageId.

Responses

200

Scheduled email batches

400

Invalid parameters passed

404

Record(s) for identifier not found

GET /smtp/emailStatus/{identifier}
GET /smtp/emails

This endpoint will show the list of emails for past 30 days by default. To retrieve emails before that time, please pass startDate and endDate in query filters.

operationId: TransactionalEmails_getList

Parameters

Name In Required Type Description
email query optional string

Mandatory if templateId and messageId are not passed in query filters. Email address to which transactional email has been sent.

templateId query optional integer

Mandatory if email and messageId are not passed in query filters. Id of the template that was used to compose transactional email.

messageId query optional string

Mandatory if templateId and email are not passed in query filters. Message ID of the transactional email sent.

startDate query optional string

Mandatory if endDate is used. Starting date (YYYY-MM-DD) from which you want to fetch the list. Maximum time period that can be selected is one month.

endDate query optional string

Mandatory if startDate is used. Ending date (YYYY-MM-DD) till which you want to fetch the list. Maximum time period that can be selected is one month.

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

limit query optional integer

Number of documents returned per page

offset query optional integer

Index of the first document in the page

Responses

200

List of transactional emails

400

bad request

GET /smtp/emails
GET /smtp/emails/{uuid}
operationId: TransactionalEmails_getContentByUuid

Parameters

Name In Required Type Description
uuid path required string

Unique id of the transactional email that has been sent to a particular contact

Responses

200

Transactional email content

GET /smtp/emails/{uuid}
DELETE /smtp/log/{identifier}
operationId: TransactionalEmails_deleteLog

Parameters

Name In Required Type Description
identifier path required string

MessageId or Email of the transactional log(s) to delete

Responses

204

Transactional Logs deleted

400

bad request

404

Message ID not found

DELETE /smtp/log/{identifier}
GET /smtp/statistics/aggregatedReport

This endpoint will show the aggregated stats for past 90 days by default if startDate and endDate OR days is not passed. The date range can not exceed 90 days

operationId: TransactionalEmails_getAggregatedReport

Parameters

Name In Required Type Description
startDate query optional string

Mandatory if endDate is used. Starting date of the report (YYYY-MM-DD). Must be lower than equal to endDate

endDate query optional string

Mandatory if startDate is used. Ending date of the report (YYYY-MM-DD). Must be greater than equal to startDate

days query optional integer

Number of days in the past including today (positive integer). Not compatible with ‘startDate’ and ‘endDate’

tag query optional string

Tag of the emails

Responses

200

Aggregated report informations

400

bad request

GET /smtp/statistics/aggregatedReport
GET /smtp/statistics/events

This endpoint will show the aggregated stats for past 30 days by default if startDate and endDate OR days is not passed. The date range can not exceed 90 days

operationId: TransactionalEmails_getAllActivity

Parameters

Name In Required Type Description
limit query optional integer

Number limitation for the result returned

offset query optional integer

Beginning point in the list to retrieve from.

startDate query optional string

Mandatory if endDate is used. Starting date of the report (YYYY-MM-DD). Must be lower than equal to endDate

endDate query optional string

Mandatory if startDate is used. Ending date of the report (YYYY-MM-DD). Must be greater than equal to startDate

days query optional integer

Number of days in the past including today (positive integer). Not compatible with ‘startDate’ and ‘endDate’

email query optional string

Filter the report for a specific email addresses

event query optional string

Filter the report for a specific event type

tags query optional string

Filter the report for tags (serialized and urlencoded array)

messageId query optional string

Filter on a specific message id

templateId query optional integer

Filter on a specific template id

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Responses

200

Email events report informations

400

bad request

GET /smtp/statistics/events
GET /smtp/statistics/reports
operationId: TransactionalEmails_getActivityPerDay

Parameters

Name In Required Type Description
limit query optional integer

Number of documents returned per page

offset query optional integer

Index of the first document on the page

startDate query optional string

Mandatory if endDate is used. Starting date of the report (YYYY-MM-DD)

endDate query optional string

Mandatory if startDate is used. Ending date of the report (YYYY-MM-DD)

days query optional integer

Number of days in the past including today (positive integer). Not compatible with ‘startDate’ and ‘endDate’

tag query optional string

Tag of the emails

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Responses

200

Aggregated report informations

400

bad request

GET /smtp/statistics/reports
GET /smtp/templates
operationId: TransactionalEmails_listTemplates

Parameters

Name In Required Type Description
templateStatus query optional boolean

Filter on the status of the template. Active = true, inactive = false

limit query optional integer

Number of documents returned per page

offset query optional integer

Index of the first document in the page

sort query optional string

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Responses

200

transactional email templates informations

400

bad request

GET /smtp/templates
POST /smtp/templates
operationId: TransactionalEmails_createTemplate

Request Body

required

values to update in transactional email template

application/json
schema createSmtpTemplate
Property Type Required
tag string optional
sender object required
id integer optional
name string optional
email string optional
htmlUrl string optional
replyTo string optional
subject string required
toField string optional
isActive boolean optional
htmlContent string optional
templateName string required
attachmentUrl string optional

Responses

201
400

bad request

POST /smtp/templates
DELETE /smtp/templates/{templateId}
operationId: TransactionalEmails_deleteTemplateById

Parameters

Name In Required Type Description
templateId path required integer

id of the template

Responses

204

Inactive transactional email template has been deleted

400

bad request

404

Template ID not found

DELETE /smtp/templates/{templateId}
GET /smtp/templates/{templateId}
operationId: TransactionalEmails_getTemplateInfo

Parameters

Name In Required Type Description
templateId path required integer

id of the template

Responses

200

Email template informations

400

bad request

404

Template ID not found

GET /smtp/templates/{templateId}
PUT /smtp/templates/{templateId}
operationId: TransactionalEmails_updateTemplate

Parameters

Name In Required Type Description
templateId path required integer

id of the template

Request Body

required

values to update in transactional email template

application/json
schema updateSmtpTemplate
Property Type Required
tag string optional
sender object optional
id integer optional
name string optional
email string optional
htmlUrl string optional
replyTo string optional
subject string optional
toField string optional
isActive boolean optional
htmlContent string optional
templateName string optional
attachmentUrl string optional

Responses

204

transactional email template updated

400

bad request

404

Template ID not found

PUT /smtp/templates/{templateId}
POST /smtp/templates/{templateId}/sendTest
operationId: TransactionalEmails_sendTestTemplate

Parameters

Name In Required Type Description
templateId path required integer

Id of the template

Request Body

required
application/json
schema sendTestEmail
Property Type Required
emailTo array optional

Responses

204

Test email has been sent successfully to all recipients

400

Test email could not be sent to the following email addresses

404

Template ID not found

POST /smtp/templates/{templateId}/sendTest

Transactionalsms 1 endpoints

POST /transactionalSMS/sms
operationId: TransactionalSms_sendSmsMessageToMobile

Request Body

required

Values to send a transactional SMS

application/json
schema sendTransacSms
Property Type Required
tag string optional
type string optional
sender string required
webUrl string optional
content string required
recipient string required
unicodeEnabled boolean optional
organisationPrefix string optional

Responses

201

SMS has been sent successfully to the recipient

400

bad request

402

You don’t have enough credit to send your SMS. Please update your plan

POST /transactionalSMS/sms
Load more endpoints